interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46742 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['31342']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 12 Oct 2016 05:47:39 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-sjc3636-SJC]
      X-Timer: ['S1476251259.046714,VS0,VE654']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=xgIjEXNpJW4RFTYloy; Domain=reddit.com; Max-Age=63071999;
          Path=/; expires=Fri, 12-Oct-2018 05:47:39 GMT; secure', 'loidcreated=2016-10-12T05%3A47%3A39.087Z;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 12-Oct-2018 05:47:39
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=IXZYN4V7vzTT2UTiOUAjTRukrclOUIvk%2B%2FarSqLFoVxDXyOirC%2Bd1wPc9Yr%2FEBO%2FTKwfu%2BoSgHg%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [loid=xgIjEXNpJW4RFTYloy; loidcreated=2016-10-12T05%3A47%3A39.087Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/controversial.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 14106 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['9459']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 12 Oct 2016 05:47:41 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-sjc3636-SJC]
      X-Timer: ['S1476251260.919333,VS0,VE269']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=8UDs%2Bv6bI7dIQr638qQOvBZ43V6Ok1EvY1RIer9F1T3amPt%2FzfBDbDAhNczdlQOOSoJnZR%2Fl%2B90%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [loid=xgIjEXNpJW4RFTYloy; loidcreated=2016-10-12T05%3A47%3A39.087Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/controversial.json?limit=1024&t=week
  response:
    body:
      string: !!binary |
[encoded data, 46240 characters]
        TAsDAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['31012']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 12 Oct 2016 05:47:43 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-sjc3636-SJC]
      X-Timer: ['S1476251262.923571,VS0,VE481']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=CrXZYl%2BTNrfJoTQONkXGUYKsuCO%2FweY2tVhgejNAFuJDN22ooGgD3ZoTH3oLsQd2U3BsMFg2rrU%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
